@echo off
Color A
Title  Baseband Installer for DL-T01 Dell Streak.
:Home
Echo.
Echo.
Echo.      Baseband Installer for DL-T01 Dell Streak.
Echo.
Echo.
Echo.
Echo       Olleh KT Froyo (2.2.2) amss.mbn, dsp1.mbn (for 350, NeCoroiD Streak N)
Echo.
Echo       FR)  flash Froyo (2.2.2) amss.mbn, dsp1.mbn
Echo.
Echo.
Echo.
Echo       Olleh KT Gingerbread (2.3.3) amss.mbn, dsp1.mbn (for 406)
Echo.
Echo       GB)  flash Gingerbread (2.3.3) amss.mbn, dsp1.mbn
Echo.
Echo.
Echo.
Echo      ================
Echo       re)   reboot
Echo       p)    previous
Echo       q)    quit
Echo.
@echo off
cd >> tmp.log
set /p whereami=< tmp.log
del tmp.log
set /p choice=Select:

if %choice% == FR goto Froyo
if %choice% == fr goto Froyo
if %choice% == GB goto Gingerbread
if %choice% == gb goto Gingerbread
if %choice% == re goto Reboot
if %choice% == q goto Quit

if not %choice% == FR goto RESTART
if not %choice% == fr goto RESTART
if not %choice% == GB goto RESTART
if not %choice% == gb goto RESTART
if not %choice% == re goto RESTART
if not %choice% == q goto RESTART

:Froyo
Echo.
Echo.
Echo.
Echo.
Echo.
Echo Dell Streak (DL-T01)에 Froyo (2.2.2) amss.mbn, dsp1.mbn을 플래싱합니다.
Echo 진행을 원하신다면 아무키나 눌러주세요.
Echo.
Echo.
Echo.
Echo.
Echo.
Pause
Echo.
Echo.
Echo.
Echo.
Echo.
fastboot -i 0x413c flash amss %whereami%\Froyo-2.2.2\amss.mbn
fastboot -i 0x413c flash dsp1 %whereami%\Froyo-2.2.2\dsp1.mbn
Echo.
Echo.
Echo.
Echo.
Echo.
Pause
goto Home

:Gingerbread
Echo.
Echo.
Echo.
Echo.
Echo.
Echo Dell Streak (DL-T01)에 Gingerbread (2.3.3) amss.mbn, dsp1.mbn을 플래싱합니다.
Echo 진행을 원하신다면 아무키나 눌러주세요.
Echo.
Echo.
Echo.
Echo.
Echo.
Pause
Echo.
Echo.
Echo.
Echo.
Echo.
fastboot -i 0x413c flash amss %whereami%\Gingerbread-2.3.3\amss.mbn
fastboot -i 0x413c flash dsp1 %whereami%\Gingerbread-2.3.3\dsp1.mbn
Echo.
Echo.
Echo.
Echo.
Echo.
Pause
goto Home

:Reboot
Echo.
Echo.
Echo.
Echo.
Echo.
Echo.
Echo.
Pause
fastboot -i 0x413c reboot
goto Home

:RESTART
set /p _ok=*Incorrect entry! Please Meet Your selection*
Pause
goto Home

:QUIT
Echo.
Echo.
Echo.
Echo.
Echo.
Echo Thanx!
Echo.
Echo based by MultiRecoveryFlasher 0.8
Echo  Edited : NeCoritol (http://tinyurl.com/necoroid)
Echo.
Echo.
Echo.
Echo.
Echo.
Echo.
Pause
exit